POST api/userapi/add
Request Information
URI Parameters
None.
Body Parameters
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "2b1b2bc1-7865-46e9-8510-6518f38032bb"
},
{
"code": "sample string 1",
"id": "2b1b2bc1-7865-46e9-8510-6518f38032bb"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "783c4abe-a109-423f-9274-bea00564aebd",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "80fd74c9-978c-46b9-8c45-19f2128464d1",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "5fa2fb17-d793-4b65-bc56-a57e2c50493f",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "783c4abe-a109-423f-9274-bea00564aebd",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "80fd74c9-978c-46b9-8c45-19f2128464d1",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "5fa2fb17-d793-4b65-bc56-a57e2c50493f",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "cf7f30ab-e4a0-4f97-a894-51ec19c1affb",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "1ae07254-1546-4f18-a8b8-3d618b697723",
"guard_id": "161d9f84-a5aa-468c-bc16-0a8575cfaf6b",
"active": true
},
{
"id": "cf7f30ab-e4a0-4f97-a894-51ec19c1affb",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "1ae07254-1546-4f18-a8b8-3d618b697723",
"guard_id": "161d9f84-a5aa-468c-bc16-0a8575cfaf6b",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "02fdc76c-25ae-4c17-ad91-4b357b8dc15b",
"firstname": "sample string 11",
"id": "303f2d6c-2f4e-422b-b188-c5a7568a165c",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-03-09T15:41:11.4116168+00:00",
"role_id": "d9ec19b7-71dc-4755-b9f7-04d31cf64eae"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>02fdc76c-25ae-4c17-ad91-4b357b8dc15b</customer_id>
<firstname>sample string 11</firstname>
<id>303f2d6c-2f4e-422b-b188-c5a7568a165c</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>d9ec19b7-71dc-4755-b9f7-04d31cf64eae</role_id>
<webapp_password_last_update>2026-03-09T15:41:11.4116168+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>1ae07254-1546-4f18-a8b8-3d618b697723</distribution_id>
<guard_id>161d9f84-a5aa-468c-bc16-0a8575cfaf6b</guard_id>
<id>cf7f30ab-e4a0-4f97-a894-51ec19c1affb</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>1ae07254-1546-4f18-a8b8-3d618b697723</distribution_id>
<guard_id>161d9f84-a5aa-468c-bc16-0a8575cfaf6b</guard_id>
<id>cf7f30ab-e4a0-4f97-a894-51ec19c1affb</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>2b1b2bc1-7865-46e9-8510-6518f38032bb</ID>
<code>sample string 1</code>
</right>
<right>
<ID>2b1b2bc1-7865-46e9-8510-6518f38032bb</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>783c4abe-a109-423f-9274-bea00564aebd</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>80fd74c9-978c-46b9-8c45-19f2128464d1</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>5fa2fb17-d793-4b65-bc56-a57e2c50493f</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>783c4abe-a109-423f-9274-bea00564aebd</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>80fd74c9-978c-46b9-8c45-19f2128464d1</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>5fa2fb17-d793-4b65-bc56-a57e2c50493f</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"898384e7-4ed9-4dbb-b57b-f8150b474ac3"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">898384e7-4ed9-4dbb-b57b-f8150b474ac3</guid>